## golang-golang-x-arch 0.0~git20200511.f7c7858

=== x86/x86asm/testdata/Makefile ===
libmach8db: libmach8db.c
	9c libmach8db.c && 9l -o libmach8db libmach8db.o; rm libmach8db.o

newdecode.txt:
	cd ..; go test -cover -run 'Objdump.*32' -v -timeout 10h -printtests 2>&1 | tee log
	cd ..; go test -cover -run 'Objdump.*64' -v -timeout 10h -printtests 2>&1 | tee -a log
	cd ..; go test -cover -run 'Xed.*32' -v -timeout 10h -printtests 2>&1 | tee -a log
	cd ..; go test -cover -run 'Xed.*64' -v -timeout 10h -printtests 2>&1 | tee -a log
	cd ..; go test -cover -run 'Plan9.*32' -v -timeout 10h -printtests 2>&1 | tee -a log
	cd ..; go test -cover -run 'Plan9.*64' -v -timeout 10h -printtests 2>&1 | tee -a log
	egrep '	(gnu|intel|plan9)	' ../log |sort >newdecode.txt

=== debian/changelog ===
golang-golang-x-arch (0.0~git20200511.f7c7858-2) unstable; urgency=medium

  * Source only upload.

 -- Roger Shimizu <rosh@debian.org>  Sat, 25 Jul 2020 19:56:54 +0900

golang-golang-x-arch (0.0~git20200511.f7c7858-1) unstable; urgency=medium

  * Initial release (Closes: #933687)

 -- Roger Shimizu <rosh@debian.org>  Sat, 25 Jul 2020 14:44:18 +0900

=== debian/control ===
Source: golang-golang-x-arch
Section: devel
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders:
 Emanuel Krivoy <ekrivoy@gmail.com>,
 Roger Shimizu <rosh@debian.org>
Build-Depends:
 debhelper-compat (= 12),
 dh-golang,
 golang-any
Standards-Version: 4.5.0
Homepage: https://github.com/golang/arch
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-golang-x-arch
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-golang-x-arch.git
Rules-Requires-Root: no
XS-Go-Import-Path: golang.org/x/arch
Testsuite: autopkgtest-pkg-go

Package: golang-golang-x-arch-dev
Architecture: all
Depends: ${misc:Depends}
Description: Library with machine architecture information
 This library holds machine architecture information used by the Go
 toolchain. It supports the arm, arm64, ppc64 and x86 architectures. It mostly
 includes functions for decoding assembly instructions.

=== debian/rules ===
#!/usr/bin/make -f

# We want to build only the library packages themselves, not the accompanying
# binaries.
export DH_GOLANG_EXCLUDES := \
	arm/armmap \
	arm/armspec \
	arm64/arm64gen \
	arm64/arm64spec \
	ppc64/ppc64map \
	ppc64/ppc64spec \
	x86/x86avxgen \
	x86/x86map \
	x86/x86spec

%:
	dh $@ --buildsystem=golang --with=golang

## golang-golang-x-arch 0.0~git20201207.1e68675

=== arm64/arm64asm/testdata/Makefile ===
go test command:
	cd ..; go test -run 'ObjdumpARM64Cond' -v -timeout 10h -long 2>&1 | tee log
	cd ..; go test -run 'ObjdumpARM64TestGUNSyntaxdata' -v -timeout 10h -long 2>&1 | tee -a log
	cd ..; go test -run 'ObjdumpARM64TestGoSyntaxdata' -v -timeout 10h -long 2>&1 | tee -a log
	cd ..; go test -run 'ObjdumpARM64' -v -timeout 10h -long 2>&1 | tee -a log
	cd ..; go test -run 'ObjdumpARM64Manual' -v -timeout 10h -long 2>&1 | tee -a log
	cd ..; go test -run 'TestDecodeGNUSyntax'
	cd ..; go test -run 'TestDecodeGoSyntax'
	cd ..; go test -run '.*'

=== debian/changelog ===
golang-golang-x-arch (0.0~git20201207.1e68675-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 0.0~git20201207.1e68675
  * Backport patch to fix ppc64el test (Closes: #976939)
  * Update debian/control
    + Section -> golang
    + debhelper-compat -> 13
    + Standards-Version -> 4.5.1 (no changes)

 -- Shengjing Zhu <zhsj@debian.org>  Fri, 18 Dec 2020 00:27:22 +0800

golang-golang-x-arch (0.0~git20200511.f7c7858-3) unstable; urgency=medium

  * debian/control:
    - Add Multi-Arch: foreign
  * debian/rules:
    - Add testdata to DH_GOLANG_INSTALL_EXTRA.

 -- Roger Shimizu <rosh@debian.org>  Sun, 26 Jul 2020 19:36:02 +0900

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,15 @@
 Source: golang-golang-x-arch
-Section: devel
+Section: golang
 Priority: optional
 Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders:
  Emanuel Krivoy <ekrivoy@gmail.com>,
  Roger Shimizu <rosh@debian.org>
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-golang,
  golang-any
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Homepage: https://github.com/golang/arch
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-golang-x-arch
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-golang-x-arch.git
@@ -19,6 +19,7 @@
 
 Package: golang-golang-x-arch-dev
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}
 Description: Library with machine architecture information
  This library holds machine architecture information used by the Go

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,8 @@
 #!/usr/bin/make -f
+
+export DH_GOLANG_INSTALL_EXTRA := \
+	arm64/arm64asm/inst.json \
+	x86/x86asm/testdata/libmach8db.c
 
 # We want to build only the library packages themselves, not the accompanying
 # binaries.

=== debian/watch ===
version=4
opts="mode=git, pgpmode=none" \
  https://github.com/golang/arch.git \
  HEAD debian

# Use the following when upstream starts to tag releases:
#
#version=4
#opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%golang-golang-x-arch_$1.orig.tar.gz%,\
#      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/\$1~\$2\$3/" \
#  https://github.com/golang/arch/tags .*/v?(\d\S*)\.tar\.gz debian

## golang-golang-x-arch 0.1.0

=== debian/changelog ===
golang-golang-x-arch (0.1.0-1) unstable; urgency=medium

  * Team upload
  * New upstream version 0.1.0
  * Switch to upstream tag version in uscan
  * Update Standards-Version to 4.6.1 (no changes)
  * Remove patch which is applied in new version

 -- Shengjing Zhu <zhsj@debian.org>  Wed, 26 Oct 2022 16:10:51 +0800

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  debhelper-compat (= 13),
  dh-golang,
  golang-any
-Standards-Version: 4.5.1
+Standards-Version: 4.6.1
 Homepage: https://github.com/golang/arch
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-golang-x-arch
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-golang-x-arch.git

## golang-golang-x-arch 0.2.0

=== debian/changelog ===
golang-golang-x-arch (0.2.0-1) unstable; urgency=medium

  * Team upload
  * New upstream version 0.2.0
  * Update Standards-Version to 4.6.2 (no changes)

 -- Shengjing Zhu <zhsj@debian.org>  Mon, 02 Jan 2023 22:59:14 +0800

## golang-golang-x-arch 0.12.0

=== debian/changelog ===
golang-golang-x-arch (0.12.0-1) unstable; urgency=medium

  * Team upload
  * New upstream version 0.12.0
  * Bump Standards-Version to 4.7.0 (no changes)

 -- Shengjing Zhu <zhsj@debian.org>  Fri, 20 Dec 2024 03:48:09 +0800

## golang-golang-x-arch 0.13.0

=== s390x/s390xasm/Makefile ===
tables.go: ../s390xmap/map.go ../s390x.csv
	go run ../s390xmap/map.go -fmt=decoder ../s390x.csv >_tables.go && gofmt _tables.go >tables.go && rm _tables.go

=== riscv64/riscv64asm/testdata/Makefile ===
go test command:
	cd ..; go generate
	cd ..; go test -run 'ObjdumpRISCV64TestGUNSyntaxdata' -v -timeout 10h 2>&1 | tee -a log
	cd ..; go test -run 'ObjdumpRISCV64TestGoSyntaxdata' -v -timeout 10h 2>&1 | tee -a log
	cd ..; go test -run 'ObjdumpRISCV64' -v -timeout 10h 2>&1 | tee -a log
	cd ..; go test -run 'ObjdumpRISCV64Manual' -v -timeout 10h 2>&1 | tee -a log
	cd ..; go test -run 'TestDecodeGNUSyntax'
	cd ..; go test -run 'TestDecodeGoSyntax'
	cd ..; go test -run '.*'

=== debian/changelog ===
golang-golang-x-arch (0.13.0-1) unstable; urgency=medium

  * Team upload
  * New upstream version 0.13.0
  * Skip TestObjdumpARM64TestDecode{GNU,Go}Syntaxdata (Closes: #1091153)
    See https://github.com/golang/go/issues/66005

 -- Shengjing Zhu <zhsj@debian.org>  Wed, 08 Jan 2025 16:01:44 +0800

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  debhelper-compat (= 13),
  dh-golang,
  golang-any
-Standards-Version: 4.6.1
+Standards-Version: 4.7.0
 Homepage: https://github.com/golang/arch
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-golang-x-arch
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-golang-x-arch.git

=== debian/rules ===
--- 
+++ 
@@ -11,11 +11,18 @@
 	arm/armspec \
 	arm64/arm64gen \
 	arm64/arm64spec \
+	loong64/loong64spec \
 	ppc64/ppc64map \
 	ppc64/ppc64spec \
+	ppc64/ppc64util \
+	riscv64/riscv64spec \
+	s390x/s390xmap \
+	s390x/s390xspec \
+	s390x/s390xutil \
 	x86/x86avxgen \
 	x86/x86map \
 	x86/x86spec
 
+
 %:
 	dh $@ --buildsystem=golang --with=golang

=== debian/watch ===
version=4
opts="mode=git, pgpmode=none" \
  https://github.com/golang/arch.git \
  refs/tags/v?@ANY_VERSION@ debian
